import { world } from "@minecraft/server";
import { ActionFormData } from "@minecraft/server-ui";
import { showEventCreationUI } from "./eventCreator";
import { showEventDeletionUI } from "./eventDeletion";
world.beforeEvents.worldInitialize.subscribe(({ blockComponentRegistry }) => {
    blockComponentRegistry.registerCustomComponent("calendars:calendar", {
        onTick({ block, dimension }) {
            const supportingBlock = block[block.permutation.getState("minecraft:cardinal_direction")](-1);
            if (supportingBlock.isAir || supportingBlock.isLiquid) {
                dimension.spawnItem(block.getItemStack(1), block.location);
                block.setType("air");
            }
        },
        onPlayerInteract({ player }) {
            new ActionFormData().title({ translate: "ui.calendars.manage_event_screen.title" })
                .button({ translate: "createWorldScreen.create" }).button({ translate: "createWorldScreen.delete" })
                .show(player).then(({ canceled, selection }) => {
                if (canceled)
                    return;
                if (selection == 0)
                    showEventCreationUI(player);
                else
                    showEventDeletionUI(player);
            });
        }
    });
});
